"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buildPdfForLastCapture = buildPdfForLastCapture;
exports.init = init;
exports.startCapture = startCapture;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'quickcapture' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const Quickcapture = _reactNative.NativeModules.Quickcapture ? _reactNative.NativeModules.Quickcapture : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function init() {
  Quickcapture.init();
  return true;
}
function startCapture() {
  return new Promise(resolve => {
    Quickcapture.startCapture({
      saveToGallery: true
    }).then(imagePath => {
      console.log(imagePath);
      resolve(imagePath); // Resolve the outer promise with the image path
    }).catch(error => {
      console.error(error);
      //reject(error); // Reject the outer promise with the error
    });
  });
}
function buildPdfForLastCapture() {
  return new Promise(resolve => {
    Quickcapture.buildPdfFileForLastCaptureSet().then(pdfFilePath => {
      console.log(pdfFilePath);
      resolve(pdfFilePath); // Resolve the outer promise with the image path
    }).catch(error => {
      console.error(error);
      //eject(error); // Reject the outer promise with the error
    });
  });
}
//# sourceMappingURL=index.js.map